Skip to main content

CreateSelectionSessionRequest

Request body for creating a selection session

selection objectrequired
selectedAssetsstring[]nullable

Selection data containing the list of selected asset UIDs

Example: ["3d0eab45-e2cc-4b80-addf-5ee0e77a5dcc","a1b2c3d4-e5f6-7890-abcd-ef1234567890"]
context objectrequired

Context information including, among other things, base view, selectable assets, and UI options

baseView object[]
  • Array [
  • uidstring | nullnullable
    Example: 550e8400-e29b-41d4-a716-446655440000
    externalIds object | null

    Only one external identifier, where the key is the source name and the value is the identifier in that source system.

    property name*string
  • ]
  • selectableAssetsobject[]nullable
    Example: [{"type":"EQUIPMENT|.*"}]
    uiOptions object | null
    property name*anynullable
    Example: {"viewAssetDetails":true}
    CreateSelectionSessionRequest
    {
    "selection": {
    "selectedAssets": [
    "3d0eab45-e2cc-4b80-addf-5ee0e77a5dcc",
    "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    ]
    },
    "context": {
    "baseView": [
    {
    "uid": "550e8400-e29b-41d4-a716-446655440000"
    }
    ],
    "selectableAssets": [
    {
    "type": "EQUIPMENT|.*"
    }
    ],
    "uiOptions": {
    "viewAssetDetails": true
    }
    }
    }